=== afaras/CMakeLists.txt ===
project(afaras)

add_subdirectory(src)
add_subdirectory(icons)
