=== ksimond/CMakeLists.txt ===
project(ksimond)

add_subdirectory(config)
add_subdirectory(src)
add_subdirectory(icons)
