=== plugins/CMakeLists.txt ===
add_subdirectory(Commands)
add_subdirectory(Conditions)
