=== doc/de/CMakeLists.txt ===

add_subdirectory(afaras)
add_subdirectory(ksimond)
add_subdirectory(sam)
add_subdirectory(simond)
add_subdirectory(simon)
add_subdirectory(sscd)
add_subdirectory(ssc)
