=== doc/it/CMakeLists.txt ===

add_subdirectory(sam)
add_subdirectory(simond)
add_subdirectory(simon)
add_subdirectory(sscd)
add_subdirectory(ssc)
