## simon 0.4.0

=== debian/changelog ===
simon (0.4.0-0ubuntu1) raring; urgency=low

  * Initial release
  * Add kubuntu_01_license.diff from upstream to add complete licences

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Jan 2013 15:42:09 +0000
