## simon 0.4.1

=== debian/changelog ===
simon (0.4.1-0ubuntu3) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

simon (0.4.1-0ubuntu2) saucy; urgency=low

  * Drop recommends on no-longer-produced simon-doc and simon-l10n.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 15:24:16 -0600

simon (0.4.1-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release. (LP: #1194441)
  * Remove kubuntu_01_license.diff since the patch
    was incorporated into this release.
  * Change maintainer to Kubuntu Developers
    in debian/control. 

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 25 Jun 2013 20:20:00 +0800
